# Class: Query

## Query(options)

Service class for querying Cask subgraph data.

## Constructor

#### new Query(options)

Create an instance of the Query service.

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` |  | See CaskSDK configuration.

See:
  - CaskSDK

### Methods

#### currentWalletAddress() → {string}

Get the wallet our current connection represents.

##### Returns:

Type
  string

#### (async) init(args)

Initialize the query service.

##### Parameters:

Name | Type | Description
--- | --- | ---
`args` | Object | Function arguments ###### Properties
Name | Type | Attributes | Description
--- | --- | --- | ---
`ethersConnection` | EthersConnection | <optional> | EthersConnection instance